<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

/**
 * @var PT_Payment $payment
 */
?><div class="payment-items-meta-box">

	<table class="widefat payment-items-table" style="width: 100%">
		<thead>
			<tr>
				<th><?php _e( 'Item', 'paytium' ); ?></th>
				<th><?php _e( 'Amount', 'paytium' ); ?></th><?php
				if ( $payment->get_tax_total() ) :
					?><th><?php _e( 'Taxes', 'paytium' ); ?></th><?php
				endif;
				?><th><?php _e( 'Total', 'paytium' ); ?></th>
			</tr>
		</thead>

		<tbody><?php
			foreach ( $payment->get_items() as $item ) :
				?><tr>
					<td style="width: 60%; padding-right: 40px;"><?php echo esc_html($item->get_label()) . ' ' .  esc_html($item->get_value()); ?></td>
					<td><?php echo esc_html(pt_float_amount_to_currency( $item->get_amount(), $payment->currency )); ?></td><?php
                    if ( $payment->get_tax_total() ) :
						if ( $item->get_tax_amount() ) :
							?><td><?php echo esc_html(pt_float_amount_to_currency( $item->get_tax_amount(), $payment->currency )); ?> <small class="muted">(<?php echo esc_html(absint( $item->get_tax_percentage() )); ?>%)</small></td><?php
						else : ?>
                            <td></td>
						<?php endif;
					endif; ?>
                    <td><?php echo esc_html(pt_float_amount_to_currency( $item->get_total_amount(), $payment->currency )); ?></td>
				</tr><?php
			endforeach; ?>
        </tbody>

		<tfoot>
        <?php if ($payment->is_discount()) : ?>
        <tr>
            <td><?php _e( 'Discount', 'paytium' ) ?> (<?php echo $payment->get_discount_value() ?>)</td>
            <td style="color: darkred">
                <?php if ( $payment->get_tax_total() ) :
                    echo esc_html(pt_float_amount_to_currency( $payment->discount_tax_calculate()['tax_discount'] - $payment->get_discount_amount(), $payment->currency));
			    endif; ?>
            </td>
            <?php
			if ( $payment->get_tax_total() ) :
				?><td style="color: darkred"><?php echo esc_html(pt_float_amount_to_currency( - $payment->discount_tax_calculate()['tax_discount'], $payment->currency )); ?></td><?php
			endif;
            ?>
            <td style="color: darkred"><?php echo esc_html(pt_float_amount_to_currency( -(float)$payment->get_discount_amount(), $payment->currency )); ?></td>
        </tr>
        <?php endif; ?>
		<tr>
			<td><?php _e( 'Totals', 'paytium' ); ?></td>
			<td><?php echo esc_html(pt_float_amount_to_currency( $payment->get_total() - $payment->get_tax_total(), $payment->currency )); ?></td><?php
			if ( $payment->get_tax_total() ) :
				?><td><?php echo esc_html(pt_float_amount_to_currency( $payment->get_tax_total(), $payment->currency )); ?></td><?php
			endif;
			?><td><?php echo esc_html(pt_float_amount_to_currency( $payment->get_total(), $payment->currency )); ?></td>
		</tr>
		</tfoot>

	</table>

</div>